You are not logged in.

#1 2022-11-08 20:24:15

abdullahsabbir
Member
From: Duisburg, Germany
Registered: 2022-11-08
Posts: 3

[Solved] Unable to update network-manager-applet

Hi,

I got an error while updating the network-manager-applet package. The error message is below.

error: failed to commit transaction (conflicting files)
network-manager-applet: /usr/share/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml exists in filesystem (owned by libnma-common)
Errors occurred, no packages were upgraded.

I would appreciate any help regarding this.

Thank you.

Last edited by abdullahsabbir (2022-11-08 23:24:27)

Offline

#2 2022-11-08 20:35:25

ErrantOverflow
Member
Registered: 2022-03-24
Posts: 1

Re: [Solved] Unable to update network-manager-applet

Have the same issue here. Ran diff on both files and the only thing that was different was this:

3c3
<   <schema id="org.gnome.nm-applet" path="/org/gnome/nm-applet/" gettext-domain="nm-applet">
---
>   <schema id="org.gnome.nm-applet" path="/org/gnome/nm-applet/" gettext-domain="libnma">

Offline

#3 2022-11-08 20:37:42

dogknowsnx
Member
Registered: 2021-04-12
Posts: 395

Re: [Solved] Unable to update network-manager-applet

It's been reported already. Seems to be a packaging bug that's probably easy to fix (by the maintainer)...

EDIT: @schard: 2nd time - sorry tongue

Last edited by dogknowsnx (2022-11-08 20:42:36)


Wayland.

"We are eternal, all this pain is an illusion" - Maynard James Keenan

Offline

#4 2022-11-08 20:39:27

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 1,565
Website

Re: [Solved] Unable to update network-manager-applet

Looks like @heftig screwed the packaging up.
I'd recommend searching for this on the bug tracker and, if none exists, open a bug report on this.
The solution should be, that only one package provides the file or both packages are marked as conflicting.

Edit: Ninja'd

Last edited by schard (2022-11-08 20:39:49)


Солідарність з Україною

Offline

#5 2022-11-08 20:53:14

jaqdie
Member
Registered: 2022-11-08
Posts: 1

Re: [Solved] Unable to update network-manager-applet

Hello, I have exactly the same error

Offline

#6 2022-11-08 20:59:17

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 1,565
Website

Re: [Solved] Unable to update network-manager-applet

jaqdie wrote:

Hello, I have exactly the same error

This is helping no-one. The issue has been identified, reported and assigned to the respective maintainer.
It will be fixed, when they have time to do so.

Last edited by schard (2022-11-08 21:01:22)


Солідарність з Україною

Offline

#7 2022-11-08 21:12:42

rosenbaum
Member
Registered: 2022-11-08
Posts: 1

Re: [Solved] Unable to update network-manager-applet

I managed to upgrade it by letting network-manager-applet provide the file instead of libnma-common.

# rm /usr/share/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
# pacman -S network-manager-applet 

Last edited by rosenbaum (2022-11-08 21:20:48)

Offline

#8 2022-11-08 21:25:28

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 1,565
Website

Re: [Solved] Unable to update network-manager-applet

This will unlikely be a good solution since you don't know which pakage will provide the file in the future.
With a 50:50 chance the respective file will be gone or clash again with the bugfix.
It might even be more likely, that libnma-common will provide it, since /usr/share/glib-2.0/schemas/org.gnome.nm-applet.eap.gschema.xml is also provided by it.

Last edited by schard (2022-11-08 21:27:22)


Солідарність з Україною

Offline

#9 2022-11-08 22:32:55

effraie
Member
Registered: 2012-08-30
Posts: 59

Re: [Solved] Unable to update network-manager-applet

The linked bug is marked as fixed, but i still have the same issue when trying to upgarde. is there some user action i'm missing, or is the bug not fixed despite being closed ?

Offline

#10 2022-11-08 22:34:56

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 1,565
Website

Re: [Solved] Unable to update network-manager-applet

Please post the complete pacman output.
Also, since the bug was fixed so recently, odds are that your mirror of choice has not yet been synced.

@rosenbaum You were lucky: /usr/share/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml is now indeed included in network-manager-applet.

Last edited by schard (2022-11-08 22:38:03)


Солідарність з Україною

Offline

#11 2022-11-08 22:40:33

effraie
Member
Registered: 2012-08-30
Posts: 59

Re: [Solved] Unable to update network-manager-applet

you're right, that's probaly a mirror syncing issue !

here my output :

error: failed to commit transaction (conflicting files)
/usr/share/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml exists in both 'libnma-common' and 'network-manager-applet'
Errors occurred, no packages were upgraded.

Offline

#12 2022-11-08 22:42:15

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 1,565
Website

Re: [Solved] Unable to update network-manager-applet

That's not the *full* output. What command are you running and what is the content of the to-be-updated-packages table?


Солідарність з Україною

Offline

#13 2022-11-08 23:23:51

abdullahsabbir
Member
From: Duisburg, Germany
Registered: 2022-11-08
Posts: 3

Re: [Solved] Unable to update network-manager-applet

Updating to the latest libnma packages fixed the problem for me. Thank you, everyone.

Offline

Board footer

Powered by FluxBB